 /*---------------Dự án Master------------*/
*{
    font-family: Arial;
}
html .o_web_client .o_content.container > .o_view_manager_content {
    padding-left: 6px;
    padding-right: 6px;
}
.o_form_view .o_notebook > ul.nav-tabs > li > a {
    color: #333;
    font-size: 14px;
    text-transform: none;
    font-weight: bold;
    border: 1px solid #fff;
}
.o_form_view .o_notebook > ul.nav-tabs > li > a:hover {
    color: #000;
}
.o_form_view .o_notebook > ul.nav-tabs > li.active > a,
.v_project_tab > a.active,
.v_pay_tab > a.active {
    color: #1156a4;
    cursor: default;
}
.v_project_tab, .v_pay_tab {

}
.o_form_view .o_notebook > ul.nav-tabs {
    border-bottom-color: #ccc ;
    margin-bottom: 10px;
}
.v_project_tab > a, .v_pay_tab > a {
    padding: 5px 10px;
    display: inline-block;
    font-size: 14px;
    font-weight: bold;
    color:#000;
}
.v_project_tab > a:hover, .v_pay_tab > a:hover {
    color: #1156a4;
}
.o_form_view .o_notebook > ul.nav-tabs > li.active > a, 
.o_form_view .o_notebook > ul.nav-tabs > li.active > a:hover, 
.o_form_view .o_notebook > ul.nav-tabs > li.active > a:focus {
    background: #fff;
    border: 1px solid #ccc;
    border-bottom: 1px solid #fff;
    font-weight: bold;
    text-transform: none;
    bottom: -1px;
}
.title-pro-table {
    width: 100%;
    float: left;
    background: #f0f0f0;
    margin-top: 10px;
}
.v_filters{
    float: left;
    width: auto !important;
    margin-top: 10px;
}
.header_manufact > h3, .tab-pane .v_table_head h3 {
    font-size: 18px;
    line-height: 1.4em;
    float: left;
    padding-left: 10px;
    margin-top: 14px;
    font-weight: bold;
    color: #4c4c4c;
}
.v_table_head{
    width: 100%;
    float: left;
    background: #cfcfcf;
}
.v_table_head div.button-add-exp {
    float: right;
}
.v_table_head div.button-add-exp .btn-success {
    padding: 5px 10px;
    background: #0b9653;
    margin: 10px 0px;
}
.v_table_head div.button-add-exp > a.add,
.v_table_head div.button-add-exp > a.export {
    display: inline-block;
    margin: 10px;
    font-size: 13px;
    color: #fff;
    background: #1156a4;
    border:1px solid #1156a4;
    padding: 0px 10px;
    float: left;
}
.v_table_head div.button-add-exp > a.add span,
.v_table_head div.button-add-exp > a.export span {
    line-height: 26px;
}
.v_table_head div.button-add-exp > a.export{
    background: #0b9653;
    border-color: #0b9653;
}


/*-------------------infor user header project ---------------*/

.o_web_client > .o_content div.infor-head-project {
    border-bottom: 1px solid #888;
    padding: 10px 0px;
}
.infor-head-project .staff-info-item {
    float: left;
}
.infor-head-project .staff-info-item span {
    display: inline-block;
    padding: 3px 0px;
    font-size: 15px;
}
.o_control_panel {
    padding: 10px 0px;
}
.o_form_editable .o_form_sheet_bg .o_form_sheet{
    padding:5px 0px;
}
body {
    padding-top: 46px;
}
nav .o_main_navbar {
    position: fixed;
    width: 100%;
    top: 0;
    z-index: 1000;
}
html .o_web_client .o_content {
    overflow: visible !important;
}

/*modal edit project master*/
.modal-content {
    padding:10px;
}
.modal-content .o_form_label {
    margin-bottom: 12px !important;
}

/*Project detail*/
.o_form_view .o_form_field {
    display: inline-block;
}
.total_pay > tbody  {
    float: right;
}
.total_pay > tbody > tr > td.o_td_label  {
    float: left;
    min-width: 80px !important;
    width: 80px !important;
}
.total_pay > tbody > tr > td {
    width: 130px !important;
    background: #fff;
    float: left;
    padding: 0px;
}
.total_pay > tbody > tr > td input{
    border:none;
}
.v_raw_head,
.o-editing .v_raw_head {
    display: block;
    width: 100%;
    min-width: 60px;
}
.v_raw_head span,
.o-editing .v_raw_head span{
    display: inline-block;
    width: 33.3%;
    text-align: center;
    padding: 3px;
    background: #f5f5f5;
    border: 1px solid #d8d8d8;
}
.v_raw_head_manufact span{
    width: 50%;
}

div.o_checkbox > input,
div.o_checkbox > input + span {
    margin:0;
}
div.o_checkbox > input {
    left: 0;
}
div.o_checkbox {
    width: 100%;
}
div.o_checkbox > span {
    display: inline-block;
    float: left;
    width: 50%;
    text-align: center;
}
tr td[data-field^="role_"] div.o_checkbox > span {
    width: 33.33%;
}
.o_form_view.o_list_editable_form div[data-fieldname^="role_"] {
    display: flex;
    align-items: center;
    justify-content: center;
    padding-top: 0px;
}
.o_form_view.o_list_editable_form div[data-fieldname^="role_"] input {
    width: 33.3%;
    cursor: pointer;
}
.o_form_view.o_list_editable_form div[data-fieldname^="role_"] > input + span {
    margin: 0 8px;
}
.v_filters > select, .v_filters > input {
    width: auto;
    padding: 5px;
    border: 1px solid #ccc;
    float: left;
    background-position: 96%;
    margin: 0px 10px 10px 0px;
    min-width: 180px;
    color: #1f1f1f;
}
.v_filters input.v_filter_value {
    float: left;
    display: inline-block;
    width: auto;
    padding: 5px;
    min-width: 180px;
    border: 1px solid #ccc;
}

.o_textbox {
    width: 100%;
    border: 1px solid #d8d8d8;
}
.o_textbox input {
    width: 50%;
    float: left;
    text-align: center;
    border: none;
    background: #fff;
}
.o_textbox span {
    width: 50%;
    text-align: center;
    display: inline-block;
    background: #eef0f0;
    line-height: 20px;
    border-left: 1px solid #d8d8d8;
}
.o_form_view .o_form_field .o_list_view > thead {
    background: #fff;
    border-bottom: 1px solid #000;
}
.table.table-striped > tbody > tr:nth-of-type(odd) {
    background-color: #efeff8;
}
.table > thead:first-child > tr:first-child > th{
    /*vertical-align: text-top;*/
    white-space: nowrap;
    text-overflow: ellipsis;
    vertical-align: middle;
}
.table.table-striped > tbody > tr {
    border-bottom: 1px solid #000;
    border-top: 1px solid #000;
}
.table.table-striped > thead > tr{
    border-top: 1px solid #000;
}
.o_list_view.table thead > tr > th.o_column_sortable:hover {
    background: none !important;
}
.o_form_view.o_form_editable .o_form_field .o_list_view td.o_readonly {
    background: none !important;
}
.fiel_process,
.no_number {
    display: none;
}
th.o_column_sortable {
    min-width: 70px;
}
.v_project_internal th[data-id="name"], .v_project_customer th[data-id="name"],
.v_project_internal th[data-id="typex"], .v_project_customer th[data-id="typex"],
.v_project_internal th[data-id="follower_str"], .v_project_customer th[data-id="follower_str"],
.v_project_internal th[data-id="chairman_str"], .v_project_customer th[data-id="chairman_str"],

.v_pay_customer th[data-id="name"], .v_pay_internal th[data-id="name"],
.v_pay_customer th[data-id="typex"], .v_pay_internal th[data-id="typex"],
.v_pay_customer th[data-id="follower_str"], .v_pay_internal th[data-id="follower_str"],
.v_pay_customer th[data-id="chairman_str"], .v_pay_internal th[data-id="chairman_str"] {
    min-width: 220px;
}

.text-edit input,
.text-edit span {
    margin: 5px 0px;
    border: 1px solid #d8d8d8 !important;
}

.pay_detail, .pay_expected {
    position: relative;
    padding-top: 35px;
    width: 100%;
    overflow-x: auto;
}
.pay_detail .o_td_label, .pay_expected .o_td_label {
    position: absolute;
    top: 0px;
    width: 100% !important;
}
.o_list_editable .o_form_view.o_list_editable_form .o_form_input, 
.o_list_editable .o_form_view.o_list_editable_form .o_form_textarea, 
.o_list_editable .o_form_view.o_list_editable_form .o_form_field_many2manytags, 
.o_list_editable .o_form_view.o_list_editable_form .o_form_field_monetary {
    border: 1px solid #333;
}

.o_list_editable {
    padding: 0px 10px;
}

.v_project_detail_form .o_list_editable {
    float: left;
    width: 100%;
    max-height: 480px;
    overflow: auto;
    padding: 0px;
}
.o_list_editable .o_form_view.o_list_editable_form {
    min-height: 0;
}
.v_project_customer .table-responsive {
    overflow-x: unset;
    overflow-y: unset;
}
.table-responsive {
    overflow-x: unset;
}
.v_backend .o_view_manager_content {
    padding: 0px 10px;
}
.v_backend .table-responsive {
    overflow-x: auto;
}
.v_backend .v_project_detail_form .table-responsive {
    overflow-x: unset;
}
.v_backend .v_project_detail_form .ProjectShipment .table-responsive {
    overflow-x: scroll;
    width: 100%;
}
.v_backend .o_list_editable {
    padding: 0px;
    float: left;
    width: 100%;
}
html .o_web_client .o_content .o_view_manager_content .o_view_manager_content{
    overflow: auto;
    padding: 0px;
}

.total_pay{
    width: 100%;
    float: left;
}
.total_pay tr{
    float: left;
}
.total_pay tr td{
    position: relative;
    float: left;

}
.total_pay tr td label {
    font-size: 16px;
    margin-top: 5px;
    color: #1156a4;
}
.total_pay tr td span {
    font-weight: bold;
    font-size: 16px;
    color: #fd3f3f;
    padding-top: 6px;
}
.o_web_client.o_mobile_menu_opened .o_main_navbar ul.o_menu_sections {
    overflow: auto;
}
/*.o_icon_button {
    padding: 3px 3px 1px 5px;
    background: #0ab070;
    border: 1px solid #0ab070;
    color: #fff;
    border-radius: 5px;
}
.o_icon_button:hover {
    background: #fff;
    color: #0ab070;
}*/
.fa.fa-pencil-square-o, .fa.fa-edit {
    padding: 4px 3px 3px 5px;
    background: #0ab070;
    border: 1px solid #0ab070;
    color: #fff;
    border-radius: 5px;
}
.fa.fa-pencil-square-o:hover,
.fa.fa-edit:hover {
    background: #fff;
    color: #0ab070;
}
.fa.fa-trash-o{
    background: #fd3f3f;
    color: #fff;
    padding: 3px 5px;
    border-radius: 5px;
    border:1px solid #fd3f3f;
}
.fa.fa-trash-o:hover{
    background: #fff;
    color: #fd3f3f;
}
.o_select_file_button {
    width: 100%;
    height: 100%;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    vertical-align: middle;
}
.pay_detail .o_list_editable .o_form_view.o_list_editable_form > .o_form_field .o_form_field {
    height: 44px;
    margin: 0;
    position: absolute;
    top: 100%;
    border: 1px solid #d8d8d8;
}
.v_filters > div {
    width: 100%;
    float: left;
}
.evalFilter select,
.v_filters > div > select {
    border: 1px solid #d8d8d8;
    padding: 5px;
    background-position: 95%;
    float: left;
    width: auto;
    padding-right: 25px;
    display: inline-block;
    margin: 0px 10px 10px 0px;
    color: #666;
}
.evalFilter > span {
    margin: 6px;
    display: inline-block;
    float: left;
}
.v_filters > div > input[type="text"] {
    float: left;
    width: auto;
    padding: 5px;
    border: 1px solid #d8d8d8;
    min-width: 180px;
    margin-right: 10px;
    margin-bottom: 10px;
}
.v_project_internal table tr,
.v_project_customer table tr,
.v_pay_customer table tr,
.v_pay_internal table tr {
    border-top: 1px solid #000;
    border-bottom: 1px solid #000;
}
.v_project_internal table td,
.v_project_customer table td,
.v_pay_customer table td,
.v_pay_internal table td {
    vertical-align: top !important;
}
input[type="text"]:focus, input[type="password"]:focus, input[type="number"]:focus, textarea:focus, select:focus {
    border-color: #ccc;
}
.nav-tabs .dropdown-menu {
    right: 0;
    position: absolute;
    left: unset;
}
.o_form_view .o_group.o_inner_group > tbody > tr {
    line-height: 26px;
}
.o_web_client.o_mobile_menu_opened .o_main_navbar > ul.o_menu_sections > li a {
    font-weight: normal !important;
    font-size: 15px;
    padding: 6px 0px 6px 16px;
    line-height: 21px;
    height: 33px;
}
::placeholder {
    color: #4c4c4c;
    opacity: 1; /* Firefox */
}

:-ms-input-placeholder { /* Internet Explorer 10-11 */
    color: #4c4c4c;
}

::-ms-input-placeholder { /* Microsoft Edge */
    color: #4c4c4c;
}

/*.v_project_customer tr td[data-field="name"],
.v_project_customer tr td[data-field="chairman_str"]
{
    min-width: 220px;
}*/
/*tr td[data-field="name"], tr td[data-field="chairman_str"]
{
    min-width: 220px;
}*/
tr th[data-id="x_crite_1"],
tr th[data-id="x_crite_2"],
tr th[data-id="x_crite_3"],
tr th[data-id="x_crite_4"],
tr th[data-id="x_crite_5"],
tr th[data-id="x_crite_6"],
tr th[data-id="x_crite_7"],
tr th[data-id="x_crite_8"],
tr th[data-id="x_crite_9"]
{
    text-align: center;
}

tr th[data-id="expecten_pay"],
tr th[data-id="pay_value"],
tr th[data-id="amount"],
tr th[data-id="paid"],
tr th[data-id="wait"],
tr th[data-id="income"],
tr th[data-id="value"],
tr th[data-id="outcome"]
{
    text-align: right;
}
tr th[data-id="company_id"]
{
    min-width: 100px;
}
tr th[data-id="project_desc"],
tr th[data-id="descx"]
{
    min-width: 180px;
}

tr th[data-id="project_desc"]
{
    min-width: 165px;
}
.o_form_view.v_project_detail_form .o_group .o_td_label .o_form_label {
    font-size: 14px;
    font-weight: normal;
}
.o_form_view .o_form_label {
    margin-bottom: 5px;
    font-weight: normal;
}
.evalHeaderList {
    max-width: 1170px;
    margin: 0 auto;
}
.eval-list-header {
    float: left;
    width: 100%;
}
.eval-list-header h3 {
    font-weight: bold;
}
.o_web_client > .o_content div.evalListTable .oe_view_nocontent {
    float: left;
}
.o_control_panel .breadcrumb > li.o_back_button > a {
    display: inline-block !important;
}
.o_control_panel .breadcrumb > li.o_back_button:before {
    font-family: FontAwesome;
    content: "" !important;
    display: none;
    padding: 0;
    color: inherit;
}
.o_list_editable .o_form_view.o_list_editable_form > .o_form_field.o_readonly:not(.o_checkbox) {
    background-color: #efeff8;
}
.o_editing .o_form_view.o_list_editable_form > .o_form_field.o_readonly:not(.o_checkbox) {
    background-color: #efeff8;
}
.table.table-striped > tbody > tr:nth-of-type(odd) {
    background-color: #efeff8;
}
.o_form_view.o_form_editable .o_form_field .o_list_view tr.o_row_edition td.o_readonly {
    background: #efeff8 !important;
}
.o_control_panel.o_breadcrumb_full .breadcrumb {
    padding: 0px 10px;
}
.o_form_view .o_form_sheet_bg .o_form_sheet {
    width: 100% !important;
    /*padding: 0px 10px;*/
}
.evalHeaderList {
    max-width: 100%;
    padding: 0px 10px;
}
.o_control_panel .breadcrumb {
    padding: 0px 10px;
}


.pay_detail table.o_group ,
.pay_expected table.o_group {
    display: block !important;
}
.pay_detail table.o_group > tbody ,
.pay_expected table.o_group > tbody {
    display: block !important;
}
.pay_detail table.o_group > tbody > tr ,
.pay_expected table.o_group > tbody > tr {
    display: block !important;
}
.pay_detail table.o_group > tbody > tr > td ,
.pay_expected table.o_group > tbody > tr > td {
    display: block;
    width: 100% !important;
    padding: 0px !important;
}
.pay_detail table.o_group > tbody > tr > td .o_view_manager_content ,
.pay_expected table.o_group > tbody > tr > td .o_view_manager_content {
    padding: 0px;
}
.v_backend .modal-lg .o_view_manager_content{
    padding: 0px;
}
.v_backend .shipment_weight .table-responsive {
    overflow-x: unset;
}
.v_backend .shipment_weight .o_list_editable {
    overflow-x: auto;
}
td[data-field="email_notify_outdate"] button.o_icon_button{
    background: transparent;
}
.fa.fa-exclamation-triangle {
    color: #fc0000;
}


@media (min-width: 1366px){
    .modal-dialog.modal-lg {
        width: 90%;
    }
}
@media (max-width: 1024px){

    .o_form_view .o_notebook > ul.nav-tabs > li.active > a, .o_form_view .o_notebook > ul.nav-tabs > li.active > a:hover, .o_form_view .o_notebook > ul.nav-tabs > li.active > a:focus {
        border: none;
        bottom: 0;
    }

    .o_form_view .o_notebook > ul.nav-tabs > li > a {
        border: none;
    }
    .nav-tabs > li {
        margin-bottom: 0px; 
    }
}
@media (max-width: 767px) {
    body div.table-responsive {
        border: none;
        overflow-y: unset;
    }
    html .o_web_client .o_content {
        width: 100%;
    }
    .o_control_panel .breadcrumb > li.o_back_button {
        vertical-align: top !important;
        padding: 0 7px !important;
        font-size: 28px !important;
        line-height: unset !important;
    }
    .o_control_panel .breadcrumb > li.o_back_button::after {
        content: "/";
        padding: 0px 5px;
    }
    .o_control_panel .breadcrumb {
        max-height: 40px;
        padding-left: 6px;
        padding-right: 6px;
    }

    .o_form_view .o_notebook > ul.nav-tabs > li.active > a, 
    .o_form_view .o_notebook > ul.nav-tabs > li.active > a:hover, 
    .o_form_view .o_notebook > ul.nav-tabs > li.active > a:focus {
        border: none !important;
    }
    .pay_detail, .pay_expected {
        padding-top: 0px;
    }
}


@media (max-width: 480px) {
.o_control_panel .breadcrumb > li.o_back_button {
    font-size: 18px !important;
}
.header_manufact > h3, .tab-pane .v_table_head h3 {
    font-size: 16px;
}

}

.o_form_view .o_form_field.o_view_manager_content > div:nth-child(4), .o_form_view .o_form_field.o_form_field_one2many > div:nth-child(4), .o_form_view .o_form_field.o_form_field_many2many > div:nth-child(4) {
    width: 100%;
    float: left;
    overflow: auto;
}
.o_form_view .o_form_field.o_form_field_one2many > div:nth-child(3) {
    width: 100%;
    float: left;
    overflow: auto;
}
.o_form_view .o_form_field.o_form_field_one2many > div.v_table_head {
    overflow: unset;
}